{
  "crawlerFilters": {},
  "additionalFields": {
    "requester": {
      "title": {
        "displayName": "Requester"
      },
      "type": "stringNotAnalyzed"
    },
    "submitter": {
      "title": {
        "displayName": "Submitter"
      },
      "type": "stringNotAnalyzed"
    },
    "dueDate": {
      "title": {
        "displayName": "DueDate"
      },
      "type": "stringNotAnalyzed"
    },
    "organization": {
      "title": {
        "displayName": "Organization"
      },
      "type": "stringNotAnalyzed"
    },
    "description": {
      "title": {
        "displayName": "Description"
      },
      "type": "stringNotAnalyzed"
    },
    "isPublic": {
      "title": {
        "displayName": "Public Ticket"
      },
      "type": "stringNotAnalyzed"
    },
    "group": {
      "title": {
        "displayName": "Group"
      },
      "type": "stringNotAnalyzed"
    }
  },
  "externalUrls": {
    "TICKET": {
      "url": "${dataSource.baseUiUrl}/browse/${entity.urlParts.key}"
    }
  },
  "entityNames": {
    "FIELDS": {
      "displayName": "Zendesk Custom Fields"
    },
    "TICKET": {
      "displayName": "Zendesk Issue"
    }
  },
  "relations": {
    "issueReference": {
      "type": "pattern",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": false,
        "types": [
          "COMMIT",
          "PULL_REQUEST"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "TICKET"
        ],
        "pluginIds": null
      },
      "relationType": "ticketReference",
      "regexp": "(^|\\s)([A-Z][A-Z0-9]{0,16}\\-\\d{1,6})($|[^A-Z0-9])",
      "windowSize": 32,
      "beforeGroup": 0,
      "afterGroup": -1,
      "meaningfulGroup": 2,
      "regexpIsOn": "FROM",
      "patternFields": [
        "*"
      ],
      "preciseField": "other.relations.issueKey"
    }
  },
  "plugin": {
    "id": "ZendeskPlugin",
    "name": "Zendesk Plugin",
    "version": "1"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "TICKET",
    "FIELDS"
  ]
}